import { useMemo } from 'react';
import { useLocation } from 'react-router-dom';

export const useType = () => {
  const { search } = useLocation();
  const type = useMemo(() => {
    return new URLSearchParams(search).get('type');
  }, [search]);
  return type;
};
